Bug 426951 - Sound card detection excessive CPU usage
Sound card detection excessive CPU usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-28 14:41 EST by Ricky Ng-Adam
Modified: 2008-02-22 05:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 05:58:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace on system-config-soundcard (exited with CTRL-C) (57.81 KB, text/plain)
2007-12-28 14:42 EST, Ricky Ng-Adam
no flags Details
gdb -p <system-config-souncard pid> backtrace (9.51 KB, text/plain)
2008-01-01 18:27 EST, Ricky Ng-Adam
no flags Details
with correct PCM device (53.44 KB, image/png)
2008-01-01 18:49 EST, Ricky Ng-Adam
no flags Details
no PCM device (49.11 KB, image/png)
2008-01-01 18:50 EST, Ricky Ng-Adam
no flags Details

  None (edit)
Description Ricky Ng-Adam 2007-12-28 14:41:57 EST
Description of problem:

X CPU usage jumps from 3% to 40% when system-config-soundcard GUI is running.

PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 2304 root      20   0  187m  35m 9596 R 40.8  3.5  29:02.00 X      

Version-Release number of selected component (if applicable):

system-config-soundcard-2.0.6-11.fc8

How reproducible:

always

Steps to Reproduce:
1. System > Administration > Soundcard detection
2.
3.
  
Actual results:

X CPU usage jumps

Expected results:

relatively normal cpu usage.

Additional info:

strace shows process waiting here:

14:35:59.445522 read(4,
"\21\0c\0\3\0\300\2\3\0\300\2\1\0\0\0\270\336\350\277\0\250
\10\230eM\t\3\0\300\2"..., 4096) = 64
14:35:59.445664 read(4, 0x8884ed0, 4096) = -1 EAGAIN (Resource temporarily
unavailable)
14:35:59.445741 read(4, 0x8884ed0, 4096) = -1 EAGAIN (Resource temporarily
unavailable)
14:35:59.445836 read(4, 0x8884ed0, 4096) = -1 EAGAIN (Resource temporarily
unavailable)
14:35:59.445911 read(4, 0x8884ed0, 4096) = -1 EAGAIN (Resource temporarily
unavailable)
14:35:59.445981 poll(
Comment 1 Ricky Ng-Adam 2007-12-28 14:42:34 EST
Created attachment 290505 [details]
strace on system-config-soundcard (exited with CTRL-C)
Comment 2 Ricky Ng-Adam 2008-01-01 18:24:44 EST
Some warnings generated when running with:

/usr/bin/python2 /usr/share/system-config-soundcard/system-config-soundcard.py

here: 

/usr/share/system-config-soundcard/soundcard.py:124: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
Running from command-line...
/usr/share/system-config-soundcard/soundcard.py:500: DeprecationWarning: use
gtk.ComboBox
  self.sub_device_menu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:323: GtkWarning:
gtk_label_set_label: assertion `str != NULL' failed
  module_label2 = gtk.Label(_(card.driver))
/usr/share/system-config-soundcard/soundcard.py:552: DeprecationWarning: use
gtk.ComboBox
  self.card_combo_menu = gtk.OptionMenu()

I think the assertion failure is interesting. I do have two tabs called nVidia
and one has no "Module:" under Selected card. I've been having other problems
with my soundcard as detailed here:

https://bugzilla.redhat.com/show_bug.cgi?id=309101#c11
Comment 3 Ricky Ng-Adam 2008-01-01 18:27:06 EST
Created attachment 290621 [details]
gdb -p <system-config-souncard pid> backtrace

after:

debuginfo-install system-config-soundcard
debuginfo-install cairo-devel

every backtrace falls into XGetImage()...
Comment 4 Ricky Ng-Adam 2008-01-01 18:49:34 EST
Created attachment 290626 [details]
with correct PCM device
Comment 5 Ricky Ng-Adam 2008-01-01 18:50:08 EST
Created attachment 290627 [details]
no PCM device
Comment 6 Martin Stransky 2008-02-22 05:58:47 EST
s-c-s is going to be removed in F9 so closing as wontfix

Note You need to log in before you can comment on or make changes to this bug.